Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055142 - [abrt] control-center: net_device_get_nm_device(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: net_device_get_nm_device(): gnome-control-center kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:86aa8e200dd6bc57005264f4335...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 06:17 UTC by Pratyush Sahay
Modified: 2015-06-29 14:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:34:29 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: cgroup (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: core_backtrace (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: dso_list (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: environ (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: exploitable (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: limits (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: maps (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: open_fds (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: proc_pid_status (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details
File: var_log_messages (deleted)
2014-01-19 06:17 UTC, Pratyush Sahay
no flags Details

Description Pratyush Sahay 2014-01-19 06:17:21 UTC
Description of problem:
Crashed when set it bluetooth to scan for bluetooth audio devices.

Version-Release number of selected component:
control-center-3.10.2-3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-control-center network show-device /org/freedesktop/NetworkManager/Devices/2
crash_function: net_device_get_nm_device
executable:     /usr/bin/gnome-control-center
kernel:         3.12.6-300.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 net_device_get_nm_device at net-device.c:230
 #1 mobilebb_enabled_toggled at net-device-mobile.c:179
 #2 g_cclosure_marshal_VOID__PARAM at gmarshal.c:1042
 #8 g_object_notify_by_spec_internal at gobject.c:1141
 #9 g_object_notify at gobject.c:1183
 #10 deferred_notify_cb at nm-object.c:531
 #15 g_main_context_iteration at gmain.c:3774
 #16 g_application_run at gapplication.c:1635

Comment 1 Pratyush Sahay 2014-01-19 06:17:28 UTC
Created attachment 852238 [details]
File: backtrace

Comment 2 Pratyush Sahay 2014-01-19 06:17:31 UTC
Created attachment 852239 [details]
File: cgroup

Comment 3 Pratyush Sahay 2014-01-19 06:17:34 UTC
Created attachment 852240 [details]
File: core_backtrace

Comment 4 Pratyush Sahay 2014-01-19 06:17:38 UTC
Created attachment 852241 [details]
File: dso_list

Comment 5 Pratyush Sahay 2014-01-19 06:17:41 UTC
Created attachment 852242 [details]
File: environ

Comment 6 Pratyush Sahay 2014-01-19 06:17:44 UTC
Created attachment 852243 [details]
File: exploitable

Comment 7 Pratyush Sahay 2014-01-19 06:17:46 UTC
Created attachment 852244 [details]
File: limits

Comment 8 Pratyush Sahay 2014-01-19 06:17:51 UTC
Created attachment 852245 [details]
File: maps

Comment 9 Pratyush Sahay 2014-01-19 06:17:54 UTC
Created attachment 852246 [details]
File: open_fds

Comment 10 Pratyush Sahay 2014-01-19 06:17:57 UTC
Created attachment 852247 [details]
File: proc_pid_status

Comment 11 Pratyush Sahay 2014-01-19 06:17:59 UTC
Created attachment 852248 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:34:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:34:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.